Subject: [Sigtran] Need suggestion on the behavior of M3UA on override mode in IPSP single exchange

From: Lalitha Kumari Gopi Reddy <[email-masked]>
Date: Mon, 23 Jul 2012 16:39:09 +0530

Hello all,

We need your suggestion on the behavior of M3UA on override mode in IPSP single exchange and IPSP double exchange mode.

Query-1

In the definition of IPSP double exchange model  (RFC section 4.3) it is mentioned that the RKs define the traffic to be directed to the peer as in the AS-SG model. From this we conclude that the traffic to be directed to peer for AS-SG model is analogous to IPSP  double exchange.

Is our understanding correct ?

/Query-1

Query- 2

As per the specifications RFC 4666 section : 4.3.4.3 ( page No : 84, 4th Paragraph) the behavior of Override mode f AS to be as follows:

"In the case of an Override mode AS, receipt of an ASP Active message
at an SGP causes the (re)direction of all traffic for the AS to the
ASP that sent the ASP Active message . Any previously active ASP in
the AS is now considered to be in the state ASP-INACTIVE and SHOULD
no longer receive traffic from the SGP within the AS. The SGP or
IPSP then MUST send a Notify message ("Alternate ASP_Active") to the
previously active ASP in the AS and SHOULD stop traffic to/from that
ASP. The ASP receiving this Notify MUST consider itself now in the
ASP-INACTIVE state, if it is not already aware of this via inter-ASP
communication with the Overriding ASP."

The following behavior is clear from the specifications when SGP  or IPSP receives ASP active message from an ASP.

1.       Previously active ASP SHOULD no longer receive traffic from the SGP within the AS

2.       SGP or  IPSP then MUST send a Notify message ("Alternate ASP_Active") to the previously active ASP in the AS.

3.       SGP or IPSP should stop traffic to/from the previously active ASP.

Please share on inputs on following:

Is the above text in double quotes from specifications(RFC 4666 section : 4.3.4.3 ( page No : 84, 4th Paragraph)), valid for (i.e. is override mode support for which of the following configurations)

ASP-SGP                                        (Supported/Not Supported):
                IPSP-IPSP-Single Exchange    (Supported/Not Supported):
               IPSP-IPSP-Double Exchange   (Supported/Not Supported):

Also, M3UA specifications  do not mention about the traffic sending behavior of previously active ASP.   What is the expected behavior.

Expected behavior-Possibility-1 :   Traffic should not sent from previously active ASP (for following configurations).

           ASP-SGP                                        (Yes/No):
                IPSP-IPSP-Single Exchange               (Yes/No):
               IPSP-IPSP-Double Exchange              (Yes/No):

Expected behavior-Possibility-2 : Traffic should be sent from previously active ASP ( or following configurations).

           ASP-SGP                                        (Yes/No):
                IPSP-IPSP-Single Exchange               (Yes/No):
               IPSP-IPSP-Double Exchange              (Yes/No):

/Query-2

Thanks & Regards,
Lalitha Yerrapaneni
ARICENT Technologies.

===============================================================================
Please refer to http://www.aricent.com/legal/email_disclaimer.html
for important disclosures regarding this electronic communication.
===============================================================================

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 23 Jul 2012 08:04:42 -0600

Lalitha,

Lalitha Kumari Gopi Reddy wrote:                        (Mon, 23 Jul 2012 16:39:09)

>    3.       SGP or IPSP should stop traffic to/from the previously active ASP.

This is not correct, the SGP or IPSP should stop traffic _to_ the previously
active ASP, not _from_.

In DE mode, traffic for the opposite direction is controlled by the opposite
RK-AS-TM.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/